library: libGeom #include "TGeoPatternFinder.h"

# TGeoPatternParaY

class description - source file - inheritance tree (.pdf)

## class TGeoPatternParaY : public TGeoPatternFinder

| Inheritance Chart:

`TObject`

<-

`TGeoPatternFinder`

<-

`TGeoPatternParaY`

        public:

                            TGeoPatternParaY()
                            TGeoPatternParaY(TGeoVolume* vol, Int_t ndivisions)
                            TGeoPatternParaY(TGeoVolume* vol, Int_t ndivisions, Double_t step)
                            TGeoPatternParaY(TGeoVolume* vol, Int_t ndivisions, Double_t start, Double_t end)
                            TGeoPatternParaY(const TGeoPatternParaY&)
                    virtual ~TGeoPatternParaY()
               virtual void cd(Int_t idiv)
             static TClass* Class()
          virtual TGeoNode* FindNode(Double_t* point)
            virtual TClass* IsA() const
          TGeoPatternParaY& operator=(const TGeoPatternParaY&)
               virtual void SavePrimitive(ofstream& out, Option_t* option)
               virtual void ShowMembers(TMemberInspector& insp, char* parent)
               virtual void Streamer(TBuffer& b)
                       void StreamerNVirtual(TBuffer& b)

### Data Members

        private:

          Double_t fTxy  tangent of alpha

## Class Description

TGeoPatternParaY()

     Default constructor

TGeoPatternParaY(TGeoVolume *vol, Int_t ndivisions) :TGeoPatternFinder(vol, ndivisions)

     constructor

TGeoPatternParaY(TGeoVolume *vol, Int_t ndivisions, Double_t step) :TGeoPatternFinder(vol, ndivisions)

     constructor

TGeoPatternParaY(TGeoVolume *vol, Int_t ndivisions, Double_t start, Double_t end) :TGeoPatternFinder(vol, ndivisions)

     constructor

~TGeoPatternParaY()

     Destructor

void cd(Int_t idiv)

TGeoNode* FindNode(Double_t *point)

     get the node division containing the query point

void SavePrimitive(ofstream &out, Option_t * /*option*/)

     Save a primitive as a C++ statement(s) on output stream "out".

### Inline Functions

                      TClass* Class()
                      TClass* IsA() const
                         void ShowMembers(TMemberInspector& insp, char* parent)
                         void Streamer(TBuffer& b)
                         void StreamerNVirtual(TBuffer& b)
             TGeoPatternParaY TGeoPatternParaY(const TGeoPatternParaY&)
            TGeoPatternParaY& operator=(const TGeoPatternParaY&)

Author: Andrei Gheata 30/10/01
Last update: root/geom:$Name: $:$Id: TGeoPatternFinder.cxx,v 1.12 2005/02/28 20:52:43 brun Exp $